OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_UAttribute Class Reference

`#include <TDataStd_UAttribute.hxx>`

Inheritance diagram for TDataStd_UAttribute:

[legend]

## Public Member Functions
Standard_EXPORT | TDataStd_UAttribute ()
Standard_EXPORT void | SetID (const Standard_GUID &LocalID)
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoattribute>. The given pasted attribute can be full or empty of its contents. But don't make a NEW! Just set the contents! It is possible to use <arelocationtable> to get/set the relocation value of a source attribute. .
virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&DS) const
| Adds the first level referenced attributes and labels to <adataset>. For this, use the AddLabel or AddAttribute of DataSet. If there is none, do not implement the method. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Handle_TDataStd_UAttribute | Set (const TDF_Label &label, const Standard_GUID &LocalID)
| api class methods ============= //! Find, or create, a UAttribute attribute with <localid> as Local GUID. The UAttribute attribute is returned. //! UAttribute methods ============
## Private Attributes
Standard_GUID | myID

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_UAttribute::TDataStd_UAttribute | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_UAttribute::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT const TDataStd_UAttribute::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_UAttribute::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDataStd_UAttribute::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_UAttribute::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TDataStd_UAttribute::References | ( | const Handle(TDF_DataSet)& | DS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT void TDataStd_UAttribute::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_UAttribute TDataStd_UAttribute::Set | ( | const TDF_Label & | label,
|  | const Standard_GUID & | LocalID
| ) | `[static]`

Standard_EXPORT void TDataStd_UAttribute::SetID | ( | const Standard_GUID & | LocalID | ) |

## Field Documentation

Standard_GUID TDataStd_UAttribute::myID`[private]`

The documentation for this class was generated from the following file:

- TDataStd_UAttribute.hxx